Package Details: eclim 2.8.0-3

Git Clone URL: https://aur.archlinux.org/eclim.git (read-only, click to copy)
Package Base: eclim
Description: Brings Eclipse functionality to Vim
Upstream URL: http://eclim.org/
Licenses: GPL3
Conflicts: eclim-git
Submitter: None
Maintainer: None
Last Packager: petronny
Votes: 122
Popularity: 0.002114
First Submitted: 2006-10-27 18:37
Last Updated: 2019-01-28 07:27

Dependencies (13)

Required by (0)

Sources (1)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 10 11 ... Next › Last »

galaux commented on 2014-12-24 14:04

Hi. FYI I proposed a brand new PKGBUILD for 'eclim-git' [0][1] based on yours. You might want to have a look: it adds a Systemd User Service file that enables users to start/stop/enable eclimd with just:

systemctl --user start eclimd
systemctl --user enable eclimd

[0] https://aur.archlinux.org/packages/eclim-git/
[1] https://github.com/galaux/arch_eclim-git

asch commented on 2014-10-31 22:03

Cannot build the package, any suggestions?

[...]

[echo] eclim.version: 2.4.0
[echo] eclim.release: 2.4.0
[echo] eclim.release.indigo: none
------ init
[exec] Running Sphinx v1.2.3
[exec]
[exec] Extension error:
[exec] Could not import extension sphinxcontrib.plantuml (exception: No module named plantuml)

[...]

helloworld1 commented on 2014-09-19 21:36

Removing scala IDE will resolve the issue.

Hador commented on 2014-09-16 10:31

Refer to: https://groups.google.com/forum/#!topic/eclim-user/PINj0J5buCk

If you still have issues using Scala-IDE 4 please report.

helloworld1 commented on 2014-09-16 03:21

Cannot compile due to this error, I have both sbt and scala installed.

pkgbuild/eclim/src/eclim_2.4.0/build.xml:156: groovy.lang.MissingMethodException: No signature of method: build_sdt_gant.scalac() is applicable for argument types: (java.util.LinkedHashMap, build_sdt_gant$_run_closure2_closure8) values: [[srcdir:org.eclim.sdt/scala, destdir:${build.classes}/org.eclim.sdt, ...], ...]
at org.codehaus.groovy.runtime.ScriptBytecodeAdapter.unwrap(ScriptBytecodeAdapter.java:55)
at org.codehaus.groovy.runtime.callsite.PogoMetaClassSite.callCurrent(PogoMetaClassSite.java:78)
at org.codehaus.groovy.runtime.callsite.CallSiteArray.defaultCallCurrent(CallSiteArray.java:49)
at org.codehaus.groovy.runtime.callsite.AbstractCallSite.callCurrent(AbstractCallSite.java:133)
at org.codehaus.groovy.runtime.callsite.AbstractCallSite.callCurrent(AbstractCallSite.java:145)
at build_sdt_gant$_run_closure2.doCall(build_sdt_gant:20)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
at java.lang.reflect.Method.invoke(Method.java:483)
at org.codehaus.groovy.reflection.CachedMethod.invoke(CachedMethod.java:90)
at groovy.lang.MetaMethod.doMethodInvoke(MetaMethod.java:233)
at org.codehaus.groovy.runtime.metaclass.ClosureMetaClass.invokeMethod(ClosureMetaClass.java:272)
at groovy.lang.MetaClassImpl.invokeMethod(MetaClassImpl.java:909)
at groovy.lang.DelegatingMetaClass.invokeMethod(DelegatingMetaClass.java:149)
at org.codehaus.gant.GantMetaClass.invokeMethod(GantMetaClass.java:133)
at org.codehaus.groovy.runtime.callsite.PogoMetaClassSite.call(PogoMetaClassSite.java:39)
at org.codehaus.groovy.runtime.callsite.CallSiteArray.defaultCall(CallSiteArray.java:45)
at org.codehaus.groovy.runtime.callsite.PogoMetaClassSite.call(PogoMetaClassSite.java:54)
at org.codehaus.groovy.runtime.callsite.AbstractCallSite.call(AbstractCallSite.java:116)
at org.codehaus.gant.GantBinding$_initializeGantBinding_closure5_closure16_closure18.doCall(GantBinding.groovy:184)
at org.codehaus.gant.GantBinding$_initializeGantBinding_closure5_closure16_closure18.doCall(GantBinding.groovy)

anthraxx commented on 2014-08-25 10:30

finally v2.4.0 arrived with Luna support, an update would be awesome :)

manoma080 commented on 2014-07-26 09:15

The branch no longer exist, any workaround?

CrystalSkull commented on 2014-07-20 12:55

I noticed that they have a Luna branch over on their github (https://github.com/ervandew/eclim/tree/luna/org.eclim.core) that you might want to check out.

shackra commented on 2014-07-20 00:08

CrystalSkull, that sucks!!

CrystalSkull commented on 2014-07-19 14:56

It says on their website that 2.3.4 supports Eclipse 4.3.x and the latest version of Eclipse is 4.4.0 which is probably why it won't work.